//sokolov.shader - lava.croft@trioptimum.com
//Original shaders come from Tremulous 1.1 stock maps, Sock's tech1 texture set and various unknown sources

textures/sokolov/ladder
{
	qer_trans .4
 	qer_editorimage textures/sokolov/ladder.tga
 	surfaceparm ladder
 	surfaceparm nodraw
 	surfaceparm nolightmap
 	surfaceparm nonsolid
 	surfaceparm trans
 	surfaceparm nomarks
 	surfaceparm noimpact
 	surfaceparm playerclip
      surfaceparm nobuildsurface
}

textures/sokolov/reservoir_side_s
{
	qer_editorimage textures/sokolov/mat5b.tga
	{
		map textures/sokolov/mat5b.tga
//		rgbGen const ( .75 .75 .75 )
	}
	{
		map textures/sokolov/256_gate_water02_reflect.tga
		rgbGen const ( .3 .3 .3 )
		blendFunc GL_dst_color GL_one
		tcmod scale .25 .25
		tcmod scroll .025 -.01
	}
	{ 
		map textures/sokolov/256_gate_water02_reflect.tga
		blendFunc GL_dst_color GL_one
		rgbGen const ( .3 .3 .3 )
		tcmod scale .25 .25
		tcmod scroll -.025 .01
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/sokolov/reservoir_side_s2
{
		qer_editorimage textures/sokolov/mat4c.tga
	{
		map textures/sokolov/mat4c.tga
//		rgbGen const ( .75 .75 .75 )
	}
	{
		map textures/sokolov/256_gate_water02_reflect.tga
		rgbGen const ( .3 .3 .3 )
		blendFunc GL_dst_color GL_one
		tcmod scale .25 .25
		tcmod scroll .025 -.01
	}
	{ 
		map textures/sokolov/256_gate_water02_reflect.tga
		blendFunc GL_dst_color GL_one
		rgbGen const ( .3 .3 .3 )
		tcmod scale .25 .25
		tcmod scroll -.025 .01
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/sokolov/billskyviolet
{
	qer_editorimage textures/sokolov/billskyviolet_1.jpg
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
    surfaceparm nobuildsurface  

	q3map_sun 0.75 0.79 1 70 225 40
	q3map_surfacelight 300
    skyparms - 384 -


	{
		map textures/sokolov/billskyviolet_1.jpg
		tcMod scroll 0.03 .075
		tcMod scale 2 2
	}
	{
		map textures/sokolov/billskyviolet_2.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.03 0.04
		tcMod scale 3 2
	}
}

textures/sokolov/lava1
	{
		qer_editorimage textures/sokolov/lava1.tga
		qer_trans .5
            q3map_lightimage textures/sokolov/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm nobuildsurface
		
        q3map_surfacelight 500
		q3map_tessSize 64
		cull disable

		deformVertexes wave 200 sin 0 1 .5 .5

		{
			map textures/sokolov/lava1c.tga
			rgbGen const ( 0.6 0.6 0.6 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .02
		}
	
		{
			map textures/sokolov/lava1.tga
			rgbGen const ( 0.9 0.9 0.9  )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/sokolov/lava2
	{
		qer_editorimage textures/sokolov/lava1.tga
		qer_trans .5
//      q3map_lightimage textures/sokolov/lava1.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm lava
		surfaceparm nolightmap
		surfaceparm nobuildsurface
		
        q3map_surfacelight 250
		cull disable
		{
			map textures/sokolov/lava1c.tga
			rgbGen const ( 0.6 0.6 0.6 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .02
		}
	
		{
			map textures/sokolov/lava1.tga
			rgbGen const ( 0.9 0.9 0.9  )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}

textures/sokolov/caulk
{
	qer_editorimage textures/sokolov/caulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/sokolov/lightbridge
{
	qer_editorimage textures/sokolov/blue.tga
	qer_trans .4
   	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
      {
		map textures/sokolov/blue.tga
		blendFunc 	blend
		rgbGen 		identity
		alphaGen 	wave sin .2 .1 90 0.2
	}
}

textures/sokolov/grate2a_trans
{
	qer_editorimage textures/sokolov/grate2a.tga
	surfaceparm alphashadow
    surfaceparm metalsteps		
    surfaceparm nomarks
      {
		map textures/sokolov/grate2a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/sokolov/grate1a_trans
{
	qer_editorimage textures/sokolov/grate1a.tga
	surfaceparm alphashadow
    surfaceparm	metalsteps		
    surfaceparm nomarks
      {
		map textures/sokolov/grate1a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/sokolov/lig_128-02r3-2k
{
	qer_editorimage textures/sokolov/sqrlig03rc.tga
	q3map_lightimage textures/sokolov/sqrlig03r2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	
      {
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sokolov/sqrlig03rc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sokolov/sqrlig03r2.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/sokolov/lig_064-03y1-2k
{
	qer_editorimage textures/sokolov/064lig22ya.tga
	q3map_lightimage textures/sokolov/064lig22y.blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	{
		map textures/sokolov/064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sokolov/064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/sokolov/lig_128-01r3-2k
{
	qer_editorimage textures/sokolov/sqrlig02rc.tga
	q3map_lightimage textures/sokolov/sqrlig02r2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sokolov/sqrlig02rc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sokolov/sqrlig02r2.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/sokolov/lig_064-02r1-2k
{
	qer_editorimage textures/sokolov/064lig21ra.tga
	q3map_lightimage textures/sokolov/064lig21r.blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	{
		map textures/sokolov/064lig21ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sokolov/064lig21r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/sokolov/lig_064-02b1-2k
{
	qer_editorimage textures/sokolov/064lig21ba.tga
	q3map_lightimage textures/sokolov/064lig21b.blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	{
		map textures/sokolov/064lig21ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sokolov/064lig21b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/sokolov/flare_01
{
	qer_editorimage textures/sokolov/flare_01.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/sokolov/flare_01.jpg
		blendfunc add
	}
}

textures/sokolov/flare_orange_01
{
	qer_editorimage textures/sokolov/flare_orange_01.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/sokolov/flare_orange_01.jpg
		blendfunc add
	}
}

textures/sokolov/flare_red_02
{
	qer_editorimage textures/sokolov/flare_red_02.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
	{
		map textures/sokolov/flare_red_02.jpg
		blendfunc add
	}
}

textures/sokolov/fan_s
{
	qer_editorimage textures/sokolov/fan.tga
	surfaceparm trans
	qer_trans 0.5
	cull none
	{
		clampmap textures/sokolov/fan.tga
		tcMod rotate 200
		depthWrite
		rgbGen const ( 0.5 0.5 0.5 )
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/sokolov/e6xgratebasic
{
	qer_editorimage textures/sokolov/e6xgratebasic.tga
	surfaceparm alphashadow
      surfaceparm	metalsteps		
      surfaceparm nomarks
      {
		map textures/sokolov/e6xgratebasic.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/sokolov/e6xgratebasic_b
{
	qer_editorimage textures/sokolov/e6xgratebasic_b.tga
	surfaceparm alphashadow
      surfaceparm	metalsteps		
      surfaceparm nomarks
      {
		map textures/sokolov/e6xgratebasic_b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/sokolov/matbrown_med1_mist
{
	qer_editorimage textures/sokolov/matbrown_med1.tga
	surfaceparm nonsolid
	surfaceparm nomarks
      {
             map textures/sokolov/matbrown_med1.tga
      }
      {
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/sokolov/mist_red_s
{
	entityMergable
	cull none
	{
		map textures/sokolov/mist.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen		const ( 1 0.65 0.65 )
		alphaGen	vertex
	}
}

textures/sokolov/proto_lightred_64
{
	qer_editorimage textures/sokolov/proto_lightred_64.jpg
	surfaceparm nomarks
      q3map_surfacelight 2000
      {
             map textures/sokolov/proto_lightred_64.jpg
      }
      {
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/sokolov/eq2_alphawires
{
	qer_editorimage textures/sokolov/eq2_wires_01.tga
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     surfaceparm nonsolid	
	{
        map textures/sokolov/eq2_wires_01.tga
        alphaFunc GE128
		depthWrite
		rgbGen vertex
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/sokolov/qfraggel_GT_chain
{
	qer_editorimage textures/sokolov/qfraggel_GT_chain.tga
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite2
	{
		map textures/sokolov/qfraggel_GT_chain.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/sokolov/lig_128-02r1-2k
{
	qer_editorimage textures/sokolov/sqrlig03ra.tga
	q3map_lightimage textures/sokolov/sqrlig03r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sokolov/sqrlig03ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sokolov/sqrlig03r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/sokolov/dusty
{
	cull none
	entityMergable
	{
		map textures/sokolov/dust.tga
		blendFunc blend
		rgbGen		vertex
		alphaGen	vertex
	}
}

textures/sokolov/jher_flood_d_blood1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/sokolov/jher_flood_d_blood1.jpg
		blendfunc filter
	}
}

textures/sokolov/jher_flood_d_bwriting1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/sokolov/jher_flood_d_bwriting1.jpg
		blendfunc filter
	}
}

textures/sokolov/jher_flood_d_blood3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/sokolov/jher_flood_d_blood3.jpg
		blendfunc filter
	}
}

textures/sokolov/stannum_blood1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	polygonoffset
	{
		map textures/sokolov/stannum_blood1.jpg
		blendfunc filter
	}
}

textures/sokolov/stannum_blood2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	polygonoffset
	{
		map textures/sokolov/stannum_blood2.jpg
		blendfunc filter
	}
}

textures/sokolov/mwa_bloodwrite
{
	surfaceparm noimpact
	surfaceparm nonsolid
	polygonoffset
	{
		map textures/sokolov/bloodwrite.tga
		blendfunc filter
	}
}

textures/sokolov/lig_032-01w1-2k
{
	qer_editorimage textures/sokolov/032lig10wa.tga
	q3map_lightimage textures/sokolov/032lig10w.blend.tga
	q3map_surfacelight 750
	surfaceparm nomarks
	{
		map textures/sokolov/032lig10wa.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sokolov/032lig10w.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/sokolov/fog
{
qer_editorimage textures/sokolov/fog.tga
qer_trans .5
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap
qer_nocarve
fogparms ( 0.9 0.5 0.2 ) 500
}

textures/sokolov/lig_128-01w3-2k
{
	qer_editorimage textures/sokolov/sqrlig02wc.tga
	q3map_lightimage textures/sokolov/sqrlig02w2.blend.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sokolov/sqrlig02wc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sokolov/sqrlig02w2.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/sokolov/gkcspinemove
 {
 	qer_editorimage textures/sokolov/matbrown_med1.tga
 	tessSize 128
 	deformVertexes wave 100 sin 3 1 0 0.6
 	{
 		map textures/sokolov/matbrown_med1.tga
 		rgbGen identity
	}
 	{
 		map $lightmap 
 		blendfunc filter
 		rgbGen identity
 		tcGen lightmap 
 	}
}

textures/sokolov/gkcspinemoveb
 {
 	qer_editorimage textures/sokolov/wmetal3.tga
 	tessSize 128
 	deformVertexes wave 100 sin 3 1 0 0.6
 	{
 		map textures/sokolov/wmetal3.tga
 		rgbGen identity
	}
 	{
 		map $lightmap 
 		blendfunc filter
 		rgbGen identity
 		tcGen lightmap 
 	}
}

textures/sokolov/vine06		//Taken from Sock's Pyramid of the Magician Q3A map
{
	qer_editorimage textures/sokolov/vine06.tga
	q3map_backShader textures/sokolov/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/sokolov/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/sokolov/vine06_back 	//Taken from Sock's Pyramid of the Magician Q3A map
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sokolov/vine06.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}

textures/sokolov/leave01d		//Taken from Sock's Pyramid of the Magician Q3A map
{
	qer_editorimage textures/sokolov/leave01d.tga
	q3map_backShader textures/sokolov/leave01d_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/sokolov/leave01d.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/sokolov/leave01d_back 	//Taken from Sock's Pyramid of the Magician Q3A map
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/sokolov/leave01d.tga
//		rgbGen const ( 0.2 0.2 0.2 )
		rgbGen vertex
		alphaFunc GE128		
	}	
}

textures/sokolov/rock_new1p
{
	q3map_nonplanar
	q3map_shadeangle 80
	qer_editorimage textures/sokolov/rock_new1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sokolov/rock_new1.tga
		blendFunc filter
	}
}

textures/sokolov/rock_new2p
{
	q3map_nonplanar
	q3map_shadeangle 80
	qer_editorimage textures/sokolov/rock_new2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sokolov/rock_new2.tga
		blendFunc filter
	}
}

textures/sokolov/mat4bp
{
	q3map_nonplanar
	q3map_shadeangle 80
	qer_editorimage textures/sokolov/mat4b.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sokolov/mat4b.tga
		blendFunc filter
	}
}

//EOF